org.jbpm.bpmn2.xml

## Class ThrowLinkNodeHandler

- java.lang.Object
- - org.drools.core.xml.BaseAbstractHandler
  - - org.jbpm.bpmn2.xml.AbstractNodeHandler
    - - org.jbpm.bpmn2.xml.ThrowLinkNodeHandler

- All Implemented Interfaces:
    org.drools.core.xml.Handler

      public class ThrowLinkNodeHandler
      extends AbstractNodeHandler

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.bpmn2.xml.AbstractNodeHandler

      `dataInputs, dataOutputs, EOL, inputAssociation, logger, outputAssociation`

    - ### Fields inherited from class org.drools.core.xml.BaseAbstractHandler

      `allowNesting, validParents, validPeers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThrowLinkNodeHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Node` | `createNode(Attributes attrs)`
    `Class<?>` | `generateNodeFor()`
    `void` | `writeNode(Node node, StringBuilder xmlDump, int metaDataType)`

    - ### Methods inherited from class org.jbpm.bpmn2.xml.AbstractNodeHandler

      `checkSignalAndConvertToRealSignalNam, containsExtensionElements, end, endNode, endNode, extractScript, getDataType, getErrorIdForErrorCode, getMetaData, getSignalExpression, handleNode, handleScript, handleThrowCompensationEventNode, initValidParents, initValidPeers, readDataInputAssociation, readDataOutputAssociation, readIoSpecification, readMultiInstanceLoopCharacteristics, start, writeExtensionElements, writeMetaData, writeNode, writeScript, writeScripts, writeVariableName`

    - ### Methods inherited from class org.drools.core.xml.BaseAbstractHandler

      `allowNesting, emptyAttributeCheck, emptyContentCheck, getValidParents, getValidPeers`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.xml.Handler

      `allowNesting, getValidParents, getValidPeers`

- - ### Constructor Detail

    - #### ThrowLinkNodeHandler

          public ThrowLinkNodeHandler()

  - ### Method Detail

    - #### generateNodeFor

          public Class<?> generateNodeFor()

    - #### createNode

          protected Node createNode(Attributes attrs)

      Specified by:
        `createNode` in class `AbstractNodeHandler`

    - #### writeNode

          public void writeNode(Node node,
                                StringBuilder xmlDump,
                                int metaDataType)

      Specified by:
        `writeNode` in class `AbstractNodeHandler`

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.